%global commit  d3f76b2dc33f43984b1993083d42fa694b735664
%global date    20150130

%global uifile  bluetooth-preferences.ui

Name:           xfce-bluetooth
Version:        0
Release:        0.4.%{date}git.1%{?dist}
Summary:        A simple bluetooth manager for Xfce

License:        GPLv2+
URL:            https://github.com/ncopa/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz
# Desktop files, https://github.com/ncopa/xfce-bluetooth/issues/2
Source1:        %{name}-agent.desktop
Source2:        %{name}.desktop
# Special icon, Fedora does not have a general bluetooth icon
Source3:        https://openclipart.org/download/197362/mono-kbluetoothd.svg

BuildRequires:  gtk2-devel libxfce4ui-devel >= 4.12
BuildRequires:  xfce4-vala
BuildRequires:  desktop-file-utils

# define macros AM_INIT_AUTOMAKE and AM_PROG_VALAC
BuildRequires:  automake

# functional runtime requirements
Requires:       bluez >= 5.0
Requires:       dbus

Requires:       hicolor-icon-theme

%description
%{summary}.


%prep
%setup -qn%{name}-%{commit}
sed -i 's,ListStore,Gtk.\0,' src/xfce-bluetooth.vala
# generate usable configure
aclocal --force --verbose
automake --add-missing -f -v
autoconf -f -v
# FIXME Makefile does not install glade file, https://github.com/ncopa/xfce-bluetooth/issues/1
sed -i -r 's,%{uifile},%{_datadir}/%{name}/\0,' src/%{name}.vala
# tweak icon to be always there
sed -i -r 's,(icon_name.*)bluetooth,\1%{name},' data/%{uifile} src/%{name}-agent.vala

%build
%configure
make %{?_smp_mflags} --debug

%install
%make_install
# FIXME for what is the unreferenced bluetooth.ui file?
install -m0644 -p -D data/%{uifile} %{buildroot}%{_datadir}/%{name}/%{uifile}
# enable autostart
desktop-file-install --set-icon=%{name} --dir=%{buildroot}%{_sysconfdir}/xdg/autostart %{SOURCE1}
desktop-file-install --set-icon=%{name} %{SOURCE2}
install -m0644 -p -D %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license LICENSE
# skip COPYING and README as symlinks and NEWS as empty
%doc AUTHORS README.md
%{_libexecdir}/%{name}*
%{_datadir}/%{name}/
# replaceable config file for correct autostart
%config %{_sysconfdir}/xdg/autostart/%{name}-agent.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Sun Dec 06 2015 Martin Sourada <mso@fedoraproject.org> - 0-0.4.20150130git.1
- bluez5 is needed

* Mon Aug 31 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.4.20150130git
- fix rpmlint

* Sun Aug 30 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.3.20150130git
- add icon

* Sun Aug 30 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.2.20150130git
- improve usability
- include glade file
- include desktop files
- exclude README file cause it's a symlink to README.md

* Mon May 25 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.1.20150130git
- initial
